ReflectionClass::__construct
ReflectionClass::getConstant
ReflectionClass
PHP Manual

# ReflectionClass::export

(PHP 5)

ReflectionClass::export — Exports a class

### Descrição

public static string ReflectionClass::export ( mixed `$argument` [, bool `$return` = false ] )

Exports a reflected class.

Aviso

Esta função não está documentada; somente a lista de argumentos está disponível.

### Parâmetros

`argument`

  The reflection to export.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Valor Retornado

If the `return` parameter is set to `TRUE`, then the export is returned as a string , otherwise `NULL` is returned.

### Veja Também

- ReflectionClass::getName - Gets class name

ReflectionClass::__construct
ReflectionClass::getConstant
ReflectionClass
PHP Manual